<!-- Small boxes (Stat box) -->
<div class="alRight newCreate">
  <a type="button" class="button" href="/sales/add">新規作成</a>
</div>
<section>
  <form id="salesSearch" class="form-horizontal" method="GET">
    <div id="sec01">
      <h2 class="tpcirle">販売検索一覧</h2>

      <div class="boxFrame half">
        <div class="inputBox">
          <div class="labelTxt">加盟店CD</div>
          <p><input type="text" name="companyId" value="<%= search.companyId%>" /></p>
        </div>
      </div>

      <div class="boxFrame half">
        <div class="inputBox">
          <div class="labelTxt">顧客名</div>
          <p><input type="text" name="name" value="<%= search.name%>" /></p>
        </div>
      </div>

      <div class="boxFrame half">
        <div class="inputBox">
          <div class="labelTxt">顧客名(カナ)</div>
          <p><input type="text" name="nameKana" value="<%= search.nameKana%>" /></p>
        </div>
      </div>

      <div class="boxFrame half">
        <div class="inputBox">
          <div class="labelTxt">電話番号</div>
          <p><input type="text" name="tel" value="<%= search.tel%>"/></p>
        </div>
      </div>

      <div class="boxFrame half">
        <div class="inputBox">
          <div class="labelTxt">車台番号</div>
          <p><input type="text" name="frameNumber" value="<%= search.frameNumber%>" /></p>
        </div>
      </div>

      <div class="boxFrame half">
        <div class="inputBox">
          <div class="labelTxt">見積作成日FROM</div>
          <p><input type="text" name="salesDateFrom" class="date" autocomplete="off" value="<%= search.salesDateFrom%>"/></p>
        </div>
      </div>

      <div class="boxFrame half">
        <div class="inputBox">
          <div class="labelTxt">見積作成日TO</div>
          <p><input type="text" name="salesDateTo" class="date" autocomplete="off" value="<%= search.salesDateTo%>" /></p>
        </div>
      </div>

      <div class="boxFrame half">
        <div class="inputBox">
          <div class="labelTxt">販売車両名</div>
          <p><input type="text" name="carnm" value="<%= search.carnm%>" /></p>
        </div>
      </div>

      <div class="boxFrame half">
        <div class="inputBox">
          <div class="labelTxt">販売車両メーカー</div>
          <p><input type="text" name="mk" value="<%= search.mk%>" /></p>
        </div>
      </div>

      <div class="boxFrame half">
        <div class="inputBox">
          <div class="labelTxt">見積担当者</div>
          <p><input type="text" name="userName" value="<%= search.userName%>" /></p>
        </div>
      </div>

      <div class="boxFrame half">
        <div class="inputBox">
          <div class="labelTxt">区分</div>
          <p>
            <label><input type="checkbox" name="type" value="1" <%= isChecked(search.type, '1') %>>販売</label>
            <label><input type="checkbox" name="type" value="2" <%= isChecked(search.type, '2') %>>下取販売</label>
            <label><input type="checkbox" name="type" value="3" <%= isChecked(search.type, '3') %>> 簡易整備</label>
          </p>
        </div>
      </div>

      <div class="boxFrame half">
        <div class="inputBox">
          <div class="labelTxt">無効化フラグ</div>
          <p>
            <label><input type="checkbox" name="deleted" value="0"
                <%= isChecked(search.deleted, '0', true) %>>有効</label>
            <label><input type="checkbox" name="deleted" value="1" <%= isChecked(search.deleted, '1') %>>無効</label>
          </p>
        </div>
      </div>

      <div class="clear"></div>
      <div class="searchButton">
        <button type="<%= isModal ? 'button' : 'submit' %>" class="btn-search">検索</button>
      </div>

    </div>
  </form>
</section>

<!-- /.row (main row) -->
<div class="row table-container">
  <div class="col col-xs-12">
    <div class="box box-primary" style="margin-bottom: 5px">
      <!-- /.box-header -->
      <div class="box-body table-responsive no-padding table-scroll-vertical">
        <table class="table table-hover table-striped table-truncate has-button">
          <thead>
            <tr>
              <% if (!isModal) { %>
              <th style="min-width: 60px">変更</th>
              <% } %>
              <th>ID</th>
              <th style="min-width: 110px">加盟店ID</th>
              <th style="min-width: 110px">顧客名</th>
              <th style="min-width: 110px">顧客名(カナ)</th>
              <th style="min-width: 110px">電話番号</th>
              <th style="min-width: 110px">携帯番号</th>
              <th style="min-width: 110px">車台番号</th>
              <th style="min-width: 110px">販売日</th>
              <th style="min-width: 110px">販売車両名</th>
              <th style="min-width: 150px">販売車両メーカー</th>
              <th style="min-width: 110px">見積担当者</th>
              <th style="min-width: 110px">無効化フラグ</th>
              <th style="min-width: 110px">登録者</th>
              <th style="min-width: 110px">登録日時</th>
              <th style="min-width: 110px">更新者</th>
              <th style="min-width: 110px">更新日時</th>
            </tr>
          </thead>
          <tbody>
            <% if (!isModal) for (const sales of data) { %>
            <tr>
              <% if (!isModal) { %>
              <td>
                <a href="/sales/<%= sales.id %>/edit">
                  <button class="btn btn-primary btn-size1 btn-edit">
                    <i class="fa fa-pencil"></i>
                  </button>
                </a>
              </td>
              <% } %>
              <td><a href="/sales/<%= sales.id %>"><%= sales.id %></a></td>
              <td><div><%= sales.companyId %></div></td>
              <td><div><%= truncate(sales.customer.name) %></div></td>
              <td><div><%= truncate(sales.customer.nameKana) %></div></td>
              <td><div><%= sales.customer.tel %></div></td>
              <td><div><%= sales.customer.cellPhone %></div></td>
              <td><div><%= sales.registration.frameNumber %></div></td>
              <td><div><%= sales.salesDate %></div></td>
              <td><div><%= sales.car.carnm %></div></td>
              <td><div><%= sales.car.mk %></div></td>
              <td><div><%= sales.user.name %></div></td>
              <td>
                <div><%= valueLst.disableFlgs[sales.deleted] %></div>
              </td>
              <td><div><%= sales.createdBy %></div></td>
              <td><div><%= sales.createdAt %></div></td>
              <td><div><%= sales.updatedBy %></div></td>
              <td><div><%= sales.updatedBy %></div></td>
            </tr>
            <% } %>
          </tbody>
        </table>
      </div>
      <!-- /.box-body -->
    </div>
    <!-- /.box -->
  </div>
</div>

<div class="row paginate-container">
  <div class="col col-xs-12">
    <%- pagination(dataCount) %>
  </div>
</div>